Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Bemassungen suchen nach Bemassungsstil

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Bemassungen suchen nach Bemassungsstil (102 mal gelesen)
ryfCAD
Mitglied
Architekt


Sehen Sie sich das Profil von ryfCAD an!   Senden Sie eine Private Message an ryfCAD  Schreiben Sie einen Gästebucheintrag für ryfCAD

Beiträge: 126
Registriert: 21.06.2005

ryfCAD rC Architektur für AutoCAD und GstarCAD

erstellt am: 27. Mrz. 2021 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
wie suche ich alle Bemassungen mit dem Bemassungsstil "rC_CM" ?

(setq bem (ssget "_a" '((0 . "DIMENSION")(2 . "rC_CM"))))

funktioniert leider nicht (GstarCAD)

------------------
Auch für LT gibt es Lösungen, aber Lisp erleichtert das Leben ungemein

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20396
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 27. Mrz. 2021 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ryfCAD 10 Unities + Antwort hilfreich

Zunächst der falsche Gruppencode.
(Entget(car(entsel)))

Wenn du dies einmal anwendest siehst du: Es ist der Gruppencode 3 und nicht 2.

Wenn es jetzt noch ein deutsches ACAD wäre,
so würde mal auch die Option "_A" schreiben müssen (keine Ahnung ob "A" zufällig auch geht, "_A" wäre aber international und damit besser.

Kleines ABER, Option A bedeutet ALLE, aber nur alle auf nicht gefrorenen Layern!
Deine Frage war nach allen, dann wäre "_x" richtig.

Bedenke aber auch, falls du mit command weiterarbeiten willst:
Gesperrte Layer
und Bemaßungen in anderen Bereichen kann ein Befehl nicht bearbeiten.
In diesen Fällen solltest du nur Bemaßungen wählen die im aktuellen Bereich liegen, Gruppencode 410

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ryfCAD
Mitglied
Architekt


Sehen Sie sich das Profil von ryfCAD an!   Senden Sie eine Private Message an ryfCAD  Schreiben Sie einen Gästebucheintrag für ryfCAD

Beiträge: 126
Registriert: 21.06.2005

ryfCAD rC Architektur für AutoCAD und GstarCAD

erstellt am: 27. Mrz. 2021 16:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank!

Klar der Gruppencode ist 3 nicht 2.

Werde mir noch den Unterschied zwischen ssget "_a" und ssget "_x" näher ansehen.

Meine Applikation läuft eben auf ACAD und GstarCAD. GstarCAD ist bis dato höchst kompatibel.

------------------
Auch für LT gibt es Lösungen, aber Lisp erleichtert das Leben ungemein

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz